// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class SkinnedGoatNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new SkinnedGoatNAddonDeed();
			}
		}

		[ Constructable ]
		public SkinnedGoatNAddon()
		{
			AddComponent( new AddonComponent( 7817 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7817 );
			AddComponent( ac, 0, 0, 0 );

		}

		public SkinnedGoatNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class SkinnedGoatNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new SkinnedGoatNAddon();
			}
		}

		[Constructable]
		public SkinnedGoatNAddonDeed()
		{
			Name = "SkinnedGoatN";
		}

		public SkinnedGoatNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}